package com.wansenai.utils.response;

import lombok.Getter;

/**
 * 响应状态码枚举
 */
@Getter
public enum ResponseCode {
    
    SUCCESS(200, "操作成功"),
    ERROR(500, "操作失败"),
    VALIDATE_FAILED(404, "参数检验失败"),
    UNAUTHORIZED(401, "暂未登录或token已经过期"),
    FORBIDDEN(403, "没有相关权限"),
    
    // 业务错误码
    SHOP_NOT_EXIST(1001, "店铺不存在"),
    SHOP_CODE_DUPLICATE(1002, "店铺编码重复"),
    SHOP_NAME_DUPLICATE(1003, "店铺名称重复");
    
    private final Integer code;
    private final String msg;
    
    ResponseCode(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }
} 